petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDTGaussJacobiQuadrature

create Gauss-Jacobi quadrature for a simplex

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussJacobiQuadrature(PetscInt dim, PetscInt order, PetscReal a, PetscReal b, PetscQuadrature *q)

Not Collective

### Input Arguments

| dim | - The simplex dimension
| order | - The number of points in one dimension
| a | - left end of interval (often-1)
| b | - right end of interval (often +1)

### Output Argument

q -A PetscQuadrature object

### References

Karniadakis and Sherwin. FIAT

### See Also

PetscDTGaussTensorQuadrature(), PetscDTGaussQuadrature()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages